Subject: simple_alloc space tramples initrd

From: [email-masked]
Date: Fri, 8 Jan 2016 09:45:06 -0800

Hi,

A powerpc machine I'm working on has this problem where the simple_alloc_init() area is trampling the
initrd. The two are placed fairly close together.

I have a fix for this proposed to add a section into arch/powerpc/boot/zImage.lds.S called "mallocarea"
to account for this space, but not all powerpc platforms use simple_alloc_init(). So for those platforms
it's a waste.

Another alternative is to alter the bootloader to place more space between the kernel image and initrd image.

I wanted to get some feedback on the right way to fix this. It seems like it could be a generic issue on powerpc,
or it's possibly already fixed someplace and I just haven't noticed.

Any feedback appreciated.

Daniel